DHCP over wireless stopped working

Bug #1112751 reported by Havard Bjastad on 2013-02-01
118
This bug affects 22 people
Affects Status Importance Assigned to Milestone
bcmwl (Ubuntu)
Low
Unassigned

Bug Description

Hi,

I have a Dell Vostro 3700 notebook running Ubuntu 12.04.1 LTS and a Netgear FWG114P WLAN router which I bought 2005.
Since the update on Sunday 27. January 2013 the NetworkManager fails to connect to my WLAN Router.

The Indicator applet shows all available wireless networks, but the NetworkManager fails to establish the connection. Due to the fact that I see the available networks I think the WLAN driver itself works fine. It seems to be a DHCP problem, but I have no idead how to solve it.

If I boot from an Ubuntu 12.04 USB stick which I created about 1 year ago WLAN works fine. Thus it's not a hardware problem.

Please could you give me some hints how to solve this problem.

Thanks & Best regards,

Franz Hollerer

# /sbin/ifconfig
eth0 Link encap:Ethernet HWaddr f0:4d:a2:87:90:5a
          inet addr:192.168.0.7 Bcast:192.168.0.255 Mask:255.255.255.0
          inet6 addr: fe80::f24d:a2ff:fe87:905a/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1492 Metric:1
          RX packets:2032 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1793 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:1465900 (1.4 MB) TX bytes:249876 (249.8 KB)
          Interrupt:47 Base address:0x6000

eth1 Link encap:Ethernet HWaddr 5c:ac:4c:7e:c4:0f
          inet6 addr: fe80::5eac:4cff:fe7e:c40f/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:22 errors:2 dropped:0 overruns:0 frame:3780
          TX packets:300 errors:141 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:3602 (3.6 KB) TX bytes:66602 (66.6 KB)
          Interrupt:17

# iwconfig
lo no wireless extensions.

eth1 IEEE 802.11abg ESSID:"Catopsis"
          Mode:Managed Frequency:2.432 GHz Access Point: 00:0F:B5:51:94:4A
          Bit Rate=54 Mb/s Tx-Power=200 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Encryption key:off
          Power Management:on
          Link Quality=70/70 Signal level=-21 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

eth0 no wireless extensions.
lo Link encap:Local Loopback
          inet addr:127.0.0.1 Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING MTU:16436 Metric:1
          RX packets:392 errors:0 dropped:0 overruns:0 frame:0
          TX packets:392 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:33528 (33.5 KB) TX bytes:33528 (33.5 KB)

Excerpt from dmsg:
[ 11.517377] eth1: Broadcom BCM4727 802.11 Hybrid Wireless Controller 6.20.155.1 (r326264)

Excerpt from /var/log/syslog:

avahi-daemon[945]: Joining mDNS multicast group on interface eth1.IPv6 with address fe80::5eac:4cff:fe7e:c40f.
avahi-daemon[945]: New relevant interface eth1.IPv6 for mDNS.
avahi-daemon[945]: Registering new address record for fe80::5eac:4cff:fe7e:c40f on eth1.*.
NetworkManager[948]: <info> Auto-activating connection 'Catopsis'.
NetworkManager[948]: <info> Activation (eth1) starting connection 'Catopsis'
NetworkManager[948]: <info> (eth1): device state change: disconnected -> prepare (reason 'none') [30 40 0]
NetworkManager[948]: <info> Activation (eth1) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager[948]: <info> Activation (eth1) Stage 1 of 5 (Device Prepare) started...
NetworkManager[948]: <info> Activation (eth1) Stage 2 of 5 (Device Configure) scheduled...
NetworkManager[948]: <info> Activation (eth1) Stage 1 of 5 (Device Prepare) complete.
NetworkManager[948]: <info> Activation (eth1) Stage 2 of 5 (Device Configure) starting...
NetworkManager[948]: <info> (eth1): device state change: prepare -> config (reason 'none') [40 50 0]
NetworkManager[948]: <info> Activation (eth1/wireless): access point 'Catopsis' has security, but secrets are required.
NetworkManager[948]: <info> (eth1): device state change: config -> need-auth (reason 'none') [50 60 0]
NetworkManager[948]: <info> Activation (eth1) Stage 2 of 5 (Device Configure) complete.
NetworkManager[948]: <info> Activation (eth1) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager[948]: <info> Activation (eth1) Stage 1 of 5 (Device Prepare) started...
NetworkManager[948]: <info> (eth1): device state change: need-auth -> prepare (reason 'none') [60 40 0]
NetworkManager[948]: <info> Activation (eth1) Stage 2 of 5 (Device Configure) scheduled...
NetworkManager[948]: <info> Activation (eth1) Stage 1 of 5 (Device Prepare) complete.
NetworkManager[948]: <info> Activation (eth1) Stage 2 of 5 (Device Configure) starting...
NetworkManager[948]: <info> (eth1): device state change: prepare -> config (reason 'none') [40 50 0]
NetworkManager[948]: <info> Activation (eth1/wireless): connection 'Catopsis' has security, and secrets exist. No new secrets needed.
NetworkManager[948]: <info> Config: added 'ssid' value 'Catopsis'
NetworkManager[948]: <info> Config: added 'scan_ssid' value '1'
NetworkManager[948]: <info> Config: added 'key_mgmt' value 'WPA-PSK'
NetworkManager[948]: <info> Config: added 'psk' value '<omitted>'
NetworkManager[948]: <info> Activation (eth1) Stage 2 of 5 (Device Configure) complete.
NetworkManager[948]: <info> Config: set interface ap_scan to 1
NetworkManager[948]: <info> (eth1): supplicant interface state: disconnected -> scanning
wpa_supplicant[1003]: Trying to associate with 00:0f:b5:51:94:4a (SSID='Catopsis' freq=2432 MHz)
NetworkManager[948]: <info> (eth1): supplicant interface state: scanning -> associating
wpa_supplicant[1003]: Associated with 00:0f:b5:51:94:4a
wpa_supplicant[1003]: WPA: Key negotiation completed with 00:0f:b5:51:94:4a [PTK=CCMP GTK=TKIP]
wpa_supplicant[1003]: CTRL-EVENT-CONNECTED - Connection to 00:0f:b5:51:94:4a completed (reauth) [id=0 id_str=]
NetworkManager[948]: <info> (eth1): supplicant interface state: associating -> completed
NetworkManager[948]: <info> Activation (eth1/wireless) Stage 2 of 5 (Device Configure) successful. Connected to wireless network 'Catopsis'.
NetworkManager[948]: <info> Activation (eth1) Stage 3 of 5 (IP Configure Start) scheduled.
NetworkManager[948]: <info> Activation (eth1) Stage 3 of 5 (IP Configure Start) started...
NetworkManager[948]: <info> (eth1): device state change: config -> ip-config (reason 'none') [50 70 0]
NetworkManager[948]: <info> Activation (eth1) Beginning DHCPv4 transaction (timeout in 45 seconds)
NetworkManager[948]: <info> dhclient started with pid 2455
NetworkManager[948]: <info> Activation (eth1) Beginning IP6 addrconf.
avahi-daemon[945]: Withdrawing address record for fe80::5eac:4cff:fe7e:c40f on eth1.
avahi-daemon[945]: Leaving mDNS multicast group on interface eth1.IPv6 with address fe80::5eac:4cff:fe7e:c40f.
avahi-daemon[945]: Interface eth1.IPv6 no longer relevant for mDNS.
NetworkManager[948]: <info> Activation (eth1) Stage 3 of 5 (IP Configure Start) complete.
dhclient: Internet Systems Consortium DHCP Client 4.1-ESV-R4
dhclient: Copyright 2004-2011 Internet Systems Consortium.
dhclient: All rights reserved.
dhclient: For info, please visit https://www.isc.org/software/dhcp/
dhclient:
NetworkManager[948]: <info> (eth1): DHCPv4 state changed nbi -> preinit
dhclient: Listening on LPF/eth1/5c:ac:4c:7e:c4:0f
dhclient: Sending on LPF/eth1/5c:ac:4c:7e:c4:0f
dhclient: Sending on Socket/fallback
dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port 67 interval 3
avahi-daemon[945]: Joining mDNS multicast group on interface eth1.IPv6 with address fe80::5eac:4cff:fe7e:c40f.
avahi-daemon[945]: New relevant interface eth1.IPv6 for mDNS.
avahi-daemon[945]: Registering new address record for fe80::5eac:4cff:fe7e:c40f on eth1.*.
dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port 67 interval 6
dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port 67 interval 6
kernel: [ 1167.949197] eth1: no IPv6 routers present
dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port 67 interval 6
NetworkManager[948]: <info> (eth1): IP6 addrconf timed out or failed.
NetworkManager[948]: <info> Activation (eth1) Stage 4 of 5 (IPv6 Configure Timeout) scheduled...
NetworkManager[948]: <info> Activation (eth1) Stage 4 of 5 (IPv6 Configure Timeout) started...
NetworkManager[948]: <info> Activation (eth1) Stage 4 of 5 (IPv6 Configure Timeout) complete.
dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port 67 interval 15
dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port 67 interval 19
NetworkManager[948]: <warn> (eth1): DHCPv4 request timed out.
NetworkManager[948]: <info> (eth1): canceled DHCP transaction, DHCP client pid 2455
NetworkManager[948]: <info> Activation (eth1) Stage 4 of 5 (IPv4 Configure Timeout) scheduled...
NetworkManager[948]: <info> Activation (eth1) Stage 4 of 5 (IPv4 Configure Timeout) started...
NetworkManager[948]: <info> (eth1): device state change: ip-config -> failed (reason 'ip-config-unavailable') [70 120 5]
NetworkManager[948]: <warn> Activation (eth1) failed for access point (Catopsis)
NetworkManager[948]: <info> Marking connection 'Catopsis' invalid.
NetworkManager[948]: <warn> Activation (eth1) failed.
NetworkManager[948]: <info> Activation (eth1) Stage 4 of 5 (IPv4 Configure Timeout) complete.
NetworkManager[948]: <info> (eth1): device state change: failed -> disconnected (reason 'none') [120 30 0]
NetworkManager[948]: <info> (eth1): deactivating device (reason 'none') [0]
avahi-daemon[946]: Withdrawing address record for fe80::5eac:4cff:fe7e:c40f on eth1.

Matt Fischer (mfisch) on 2013-02-04
affects: gnome-nettool (Ubuntu) → ubuntu
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu:
status: New → Confirmed
Download full text (3.8 KiB)

I'm having the same problem since I upgraded some packages on 2-feb. I see that bcmwl-kernel-source, isc-dhcp-client and isc-dhcp-common where upgraded and then the problem started. Is there anyway of falling back to the previous version to check it?

I add the list of upgrades:
cat /var/log/dpkg.log | grep upgrade
2013-02-02 00:06:11 upgrade libdrm2 2.4.32-1ubuntu1 2.4.39-0ubuntu0.1
2013-02-02 00:06:12 upgrade libdrm-intel1 2.4.32-1ubuntu1 2.4.39-0ubuntu0.1
2013-02-02 00:06:13 upgrade libdrm-nouveau1a 2.4.32-1ubuntu1 2.4.39-0ubuntu0.1
2013-02-02 00:06:14 upgrade libdrm-radeon1 2.4.32-1ubuntu1 2.4.39-0ubuntu0.1
2013-02-02 00:06:15 upgrade google-chrome-stable 24.0.1312.56-r177594 24.0.1312.57-r178923
2013-02-02 00:06:22 upgrade libav-tools 4:0.8.4-0ubuntu0.12.04.1 4:0.8.5-0ubuntu0.12.04.1
2013-02-02 00:06:23 upgrade libpostproc52 4:0.8.4-0ubuntu0.12.04.1 4:0.8.5-0ubuntu0.12.04.1
2013-02-02 00:06:24 upgrade libavfilter2 4:0.8.4-0ubuntu0.12.04.1 4:0.8.5-0ubuntu0.12.04.1
2013-02-02 00:06:25 upgrade libswscale2 4:0.8.4-0ubuntu0.12.04.1 4:0.8.5-0ubuntu0.12.04.1
2013-02-02 00:06:26 upgrade libavdevice53 4:0.8.4-0ubuntu0.12.04.1 4:0.8.5-0ubuntu0.12.04.1
2013-02-02 00:06:27 upgrade libavformat53 4:0.8.4-0ubuntu0.12.04.1 4:0.8.5-0ubuntu0.12.04.1
2013-02-02 00:06:28 upgrade libavcodec-extra-53 4:0.8.4ubuntu0.12.04.1 4:0.8.5ubuntu0.12.04.1
2013-02-02 00:06:29 upgrade libavutil-extra-51 4:0.8.4ubuntu0.12.04.1 4:0.8.5ubuntu0.12.04.1
2013-02-02 00:06:30 upgrade libssh-4 0.5.2-1ubuntu0.12.04.1 0.5.2-1ubuntu0.12.04.2
2013-02-02 00:06:31 upgrade initramfs-tools 0.99ubuntu13 0.99ubuntu13.1
2013-02-02 00:06:32 upgrade initramfs-tools-bin 0.99ubuntu13 0.99ubuntu13.1
2013-02-02 00:06:45 upgrade isc-dhcp-client 4.1.ESV-R4-0ubuntu5.5 4.1.ESV-R4-0ubuntu5.6
2013-02-02 00:06:46 upgrade isc-dhcp-common 4.1.ESV-R4-0ubuntu5.5 4.1.ESV-R4-0ubuntu5.6
2013-02-02 00:06:47 upgrade upstart 1.5-0ubuntu7 1.5-0ubuntu7.2
2013-02-02 00:06:48 upgrade ubuntu-minimal 1.267 1.267.1
2013-02-02 00:06:49 upgrade plymouth-label 0.8.2-2ubuntu30 0.8.2-2ubuntu31
2013-02-02 00:06:50 upgrade plymouth 0.8.2-2ubuntu30 0.8.2-2ubuntu31
2013-02-02 00:06:51 upgrade libplymouth2 0.8.2-2ubuntu30 0.8.2-2ubuntu31
2013-02-02 00:06:52 upgrade plymouth-theme-ubuntu-text 0.8.2-2ubuntu30 0.8.2-2ubuntu31
2013-02-02 00:06:53 upgrade ubuntu-standard 1.267 1.267.1
2013-02-02 00:06:54 upgrade linux-libc-dev 3.2.0-36.57 3.2.0-37.58
2013-02-02 00:06:56 upgrade bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu6.1 6.20.155.1+bdcom-0ubuntu0.0.1
2013-02-02 00:10:50 upgrade checkbox 0.13.7 0.13.9
2013-02-02 00:10:53 upgrade checkbox-qt 0.13.7 0.13.9
2013-02-02 00:10:55 upgrade libtelepathy-glib0 0.18.0-1ubuntu1 0.18.2-0ubuntu1
2013-02-02 00:10:56 upgrade gir1.2-telepathyglib-0.12 0.18.0-1ubuntu1 0.18.2-0ubuntu1
2013-02-02 00:10:57 upgrade inkscape 0.48.3.1-1ubuntu1 0.48.3.1-1ubuntu1.1
2013-02-02 00:11:03 upgrade jockey-gtk 0.9.7-0ubuntu7.4 0.9.7-0ubuntu7.7
2013-02-02 00:11:04 upgrade jockey-common 0.9.7-0ubuntu7.4 0.9.7-0ubuntu7.7
2013-02-02 00:11:06 upgrade linux-generic-pae 3.2.0.36.43 3.2.0.37.44
2013-02-02 00:11:07 upgrade linux-image-generic-pae 3.2.0.36.43 3.2.0.37.44
2013-02-02 00:11:25 upgrade linux-headers-generic-...

Read more...

Download full text (21.4 KiB)

I'd like to add that I was able to connect at home with my router linksys. But at work where I access through an access point, I couldn't.
By the moment I'll add both syslogs. But ask if there's any other information that you may find useful.?field.comment=I'd like to add that I was able to connect at home with my router linksys. But at work where I access through an access point, I couldn't.
By the moment I'll add both syslogs. But ask if there's any other information that you may find useful.

Failed log:
Feb 4 09:35:45 gaston-despegar NetworkManager[3720]: <info> (eth1): bringing up device.
Feb 4 09:35:45 gaston-despegar NetworkManager[3720]: <info> (eth1): preparing device.
Feb 4 09:35:45 gaston-despegar NetworkManager[3720]: <info> (eth1): deactivating device (reason 'managed') [2]
Feb 4 09:35:45 gaston-despegar NetworkManager[3720]: <warn> failed to allocate link cache: (-10) Operation not supported
Feb 4 09:35:45 gaston-despegar NetworkManager[3720]: <info> (eth0): carrier is OFF
Feb 4 09:35:45 gaston-despegar NetworkManager[3720]: <info> (eth0): new Ethernet device (driver: 'r8169' ifindex: 2)
Feb 4 09:35:45 gaston-despegar NetworkManager[3720]: <info> (eth0): exported as /org/freedesktop/NetworkManager/Devices/1
Feb 4 09:35:45 gaston-despegar NetworkManager[3720]: <info> (eth0): now managed
Feb 4 09:35:45 gaston-despegar NetworkManager[3720]: <info> (eth0): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
Feb 4 09:35:45 gaston-despegar NetworkManager[3720]: <info> (eth0): bringing up device.
Feb 4 09:35:45 gaston-despegar NetworkManager[3720]: <info> (eth0): preparing device.
Feb 4 09:35:45 gaston-despegar NetworkManager[3720]: <info> (eth0): deactivating device (reason 'managed') [2]
Feb 4 09:35:45 gaston-despegar kernel: [ 835.067431] r8169 0000:13:00.0: eth0: link down
Feb 4 09:35:45 gaston-despegar kernel: [ 835.067654] ADDRCONF(NETDEV_UP): eth0: link is not ready
Feb 4 09:35:45 gaston-despegar kernel: [ 835.068043] ADDRCONF(NETDEV_UP): eth0: link is not ready
Feb 4 09:35:45 gaston-despegar NetworkManager[3720]: <info> (eth1): supplicant interface state: starting -> ready
Feb 4 09:35:45 gaston-despegar NetworkManager[3720]: <info> (eth1): device state change: unavailable -> disconnected (reason 'supplicant-available') [20 30 42]
Feb 4 09:35:45 gaston-despegar NetworkManager[3720]: <info> (eth1): supplicant interface state: ready -> inactive
Feb 4 09:35:45 gaston-despegar NetworkManager[3720]: <warn> Trying to remove a non-existant call id.
Feb 4 09:35:46 gaston-despegar avahi-daemon[941]: Joining mDNS multicast group on interface eth1.IPv6 with address fe80::6aa3:c4ff:fe09:785b.
Feb 4 09:35:46 gaston-despegar avahi-daemon[941]: New relevant interface eth1.IPv6 for mDNS.
Feb 4 09:35:46 gaston-despegar avahi-daemon[941]: Registering new address record for fe80::6aa3:c4ff:fe09:785b on eth1.*.
Feb 4 09:35:47 gaston-despegar NetworkManager[3720]: <info> Auto-activating connection 'LP-2doPiso'.
Feb 4 09:35:47 gaston-despegar NetworkManager[3720]: <info> Activation (eth1) starting connection 'LP-2doPiso'
Feb 4 09:35:47 gaston-despegar NetworkManager[3720]: <info> (eth1): device sta...

Greg (g6) wrote :

Same problem, appeared at the same time. DHCP timeout on wireless interface, wired works fine. I've hunted all over forums for answers but haven't found any. I originally thought IPv6 was the problem, but disabling it in network manager for the wireless connection (setting to 'Ignore') didn't help.

This is a HP G72 laptop.

$ sudo lshw -C network
  *-network
       description: Ethernet interface
       product: RTL8101E/RTL8102E PCI Express Fast Ethernet controller
       vendor: Realtek Semiconductor Co., Ltd.
       physical id: 0
       bus info: pci@0000:02:00.0
       logical name: eth0
       version: 02
       serial: xxxxxxx
       size: 100Mbit/s
       capacity: 100Mbit/s
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress msix vpd bus_master cap_list rom ethernet physical tp mii 10bt 10bt-fd 100bt 100bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=r8169 driverversion=2.3LK-NAPI duplex=full firmware=N/A ip=192.168.1.85 latency=0 link=yes multicast=yes port=MII speed=100Mbit/s
       resources: irq:41 ioport:2000(size=256) memory:b0410000-b0410fff memory:b0400000-b040ffff memory:b0420000-b043ffff
  *-network
       description: Wireless interface
       product: BCM4313 802.11b/g/n Wireless LAN Controller
       vendor: Broadcom Corporation
       physical id: 0
       bus info: pci@0000:03:00.0
       logical name: eth1
       version: 01
       serial: xxxxx
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
       configuration: broadcast=yes driver=wl0 driverversion=6.20.155.1 (r326264) latency=0 multicast=yes wireless=IEEE 802.11abg
       resources: irq:18 memory:b2400000-b2403fff

Dirk De Muynck (dirk-demuynck1) wrote :

All,
same problem for me after the last upgrades I did. Worked well for the last year, now I get DHCP timeout on wireless interface.
I'm using Broadcom STA wireless.
regards,
Dirk

Jan Bruns (2-jan) wrote :

Hello,

I can also confirm this bug since last Ubuntu 12.04 upgrade around 10.02.2013.

I use a Broadcom wireless interface BCM4313.

I have the following findings:
- reinstalled Broadcom driver, no help
- reinstalled access point image (Fritz Box)
resetted access point
- Windows Machine has no problem
- DHCP requests are not getting through to the network (wireshark), not even to network on same machine if I use a dhcping -s <DCHP Server>
- static IP address is working on WIFI
- If the WIFI access point and DHCP server are on the same machine it works
- DHCP via LAN has not problem
- reinstallation of dhcp3 does not work
- lsmod | grep wl gives:
wl 3074895 0
cfg80211 205774 1 wl
lib80211 14381 2 lib80211_crypt_tkip,wl
- Installed package: bcmwl-kernel-source 6.20.155.1

Jan

Tabor Kelly (taborkelly) wrote :

I too have the same (new) problem of DHCP not working on my Broadcom BCM4727 802.11 Hybrid Wireless Controller 6.20.155.1 (r326264).

This bug has been open for a month and it hasn't been assigned. Breaking DHCP on a bunch of laptops seems like a big deal guys.

Klaus Reichl (klaus-reichl) wrote :

Same problem here on
  bash# lsb_release -a
  No LSB modules are available.
  Distributor ID: Ubuntu
  Description: Ubuntu 12.04.2 LTS
  Release: 12.04
  Codename: precise
with a
  bash# lspci | grep -i net
  02:00.0 Network controller: Intel Corporation Centrino Advanced-N 6235 (rev 24)

found solution using google: linux centrino 6235 wifi problem

try:
  bash# rmod iwlwifi; modprobe iwlwifi 11n_disable=1
verify with
  bash# systool -m iwlwifi -av | grep 11n

if ok put data into /etc/modprobe.d/51-disable-6235-11n.conf
like:
   bash# cat > /etc/modprobe.d/51-disable-6235-11n.conf
# disable 11n mode in
# bash# lspci | grep -i net
# 02:00.0 Network controller: Intel Corporation Centrino Advanced-N 6235 (rev 24)
# verify with
# bash# systool -m iwlwifi -av | grep 11n
# 11n_disable = "1"

options iwlwifif 11n_disable=1
^D

That's it, hope this helps,
Klaus

Klaus Reichl (klaus-reichl) wrote :

TYPO TYPO: two mistakes in the above:
rmmod -> rmmod
iwlwifif -> iflwifi

Here again, I'm sorry:
found solution using google: linux centrino 6235 wifi problem

try:
  bash# rmmod iwlwifi; modprobe iwlwifi 11n_disable=1
verify with
  bash# systool -m iwlwifi -av | grep 11n

if ok put data into /etc/modprobe.d/51-disable-6235-11n.conf
like:
   bash# cat > /etc/modprobe.d/51-disable-6235-11n.conf
# disable 11n mode in
# bash# lspci | grep -i net
# 02:00.0 Network controller: Intel Corporation Centrino Advanced-N 6235 (rev 24)
# verify with
# bash# systool -m iwlwifi -av | grep 11n
# 11n_disable = "1"

options iwlwifi 11n_disable=1
^D

Greg (g6) wrote :

Turns out my problem was that proprietary Broadcom wl driver didn't actually work with my card (BCM4313 [14e4:4727]). See here for information on which drivers work with which cards:
https://wiki.archlinux.org/index.php/Broadcom_wireless

b43 doesn't support this card:
http://linuxwireless.org/en/users/Drivers/b43#Supported_devices

But the open source driver does:
http://linuxwireless.org/en/users/Drivers/brcm80211#Supported_Chips

so the solution was simply:

sudo rmmod wl
sudo modprobe brcmsmac

And to make that work without manual intervention, added this to /etc/modprobe.d/blacklist.conf:

# doesn't work on BCM4313, use brcmsmac
# https://wiki.archlinux.org/index.php/Broadcom_wireless
blacklist wl

and loaded the brcmsmac module by adding "brcmsmac" to /etc/modules

Great Greg!! That solve my problem! Just followed the your simply solution.

$ lspci -vnn | grep 14e4:
12:00.0 Network controller [0280]: Broadcom Corporation BCM4313 802.11b/g/n Wireless LAN Controller [14e4:4727] (rev 01)

To check if the wl was loaded I did:
$ cat /proc/modules | grep wl
wl 2906597 0 - Live 0x00000000 (P)
cfg80211 178877 1 wl, Live 0x00000000
lib80211 14040 2 lib80211_crypt_tkip,wl, Live 0x00000000

Also modified /etc/modprobe.d/blacklist-bcm43.conf. Added wl to the blacklist and commented brcmsmac that was blacklisted to remove it from the blacklist

Thanks again!

Jan Bruns (2-jan) wrote :

Thanks, Greg. That helps for me as well !

Jan

I tried Greg's suggestion, but without any luck :(
I don't think his problem is relevant to me, because my card has been working well for years...until it suddenly stopped working. And it works with MOST wifi routers, including my phone's access point. I've only come across 2 routers that it no longer works with, unfortunately one of them is my home router. With most other routers, it works. And until that fatal upgrade, it used to work just fine with ALL routers.
Since many users seem to be affected, I was hoping someone would be able to come up with a fix...or maybe just revert the buggy code back to how it was.

poppop (alex-popdesign-fr) wrote :

Hi All

Does anyone know if the bug will be fixed in the official raring release ?

Or does anyone know if the bug will be fixed AT ALL?

poppop (alex-popdesign-fr) wrote :

Quite agree with you, IMO it is quite a big bug and it's pretty scary that it is still not assigned.

poppop (alex-popdesign-fr) wrote :

I confirm that on the official 13.04 delivery, the bug is still there.

Scott Wood (scott-buserror) wrote :

Greg's fix worked for me as well, with a BCM4313. If Havard's problem is different, should there be a new bug created for BCM4313? Why is wl being used by default with that chip if the open source driver works, whether or not wl has problems?

thebitguru (farhan) wrote :

This happened to me in Ubuntu 13.04 on an HP Mini with Broadcom BCM4313. Greg's fix worked in my case.

Ok, so I upgraded to 13.04 and tried to apply Greg's fix again. This time it worked :-)

Seems that this bug might belong to bcmwl-kernel-source.

affects: ubuntu → bcmwl (Ubuntu)
Changed in bcmwl (Ubuntu):
status: Confirmed → Opinion

I have experienced this problem on my HP6460b laptop with a Broadcom Corporation BCM4313. In my case the wireless connection is attempted but an IP address is not obtained by DHCP. One workaround is to add static IP information for the problem network. Blacklisting wl and enabling brcmsmac, by editing files in blacklist.d, allows DHCP to work.

The easier solution is to remove the bcmwl-kernel-source package:

sudo apt-get remove --purge bcmwl-kernel-source

Changed in bcmwl (Ubuntu):
status: Opinion → Confirmed

Thanks, Steve, removing bcmwl-kernel-source has helped me.

Kai Schlüter (chickenbrain) wrote :

I have the same problem. eth0 works fine with DHCP, wlan0 (RT5390) does not work. If I put static IP information and do not use DHCP wlan0 works just fine, so it does not seem to be a driver problem. I also tried the proprietary drivers, but that did not change anything. If you need further information about my machine please contact me.

lshw with the current manual IPv4 settings on wlan0:

  *-network
       description: Wireless interface
       product: RT5390 Wireless 802.11n 1T/1R PCIe
       vendor: Ralink corp.
       physical id: 0
       bus info: pci@0000:02:00.0
       logical name: wlan0
       version: 00
       serial: 60:d8:19:73:09:9c
       width: 32 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
       configuration: broadcast=yes driver=rt2800pci driverversion=3.11.0-14-generic firmware=0.34 ip=192.168.1.10 latency=0 link=yes multicast=yes wireless=IEEE 802.11bgn
       resources: irq:45 memory:c2500000-c250ffff
  *-network
       description: Ethernet interface
       product: RTL8101E/RTL8102E PCI Express Fast Ethernet controller
       vendor: Realtek Semiconductor Co., Ltd.
       physical id: 0
       bus info: pci@0000:03:00.0
       logical name: eth0
       version: 05
       serial: ec:9a:74:45:d7:25
       size: 10Mbit/s
       capacity: 100Mbit/s
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress msix vpd bus_master cap_list ethernet physical tp mii 10bt 10bt-fd 100bt 100bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=r8169 driverversion=2.3LK-NAPI duplex=half firmware=rtl_nic/rtl8105e-1.fw latency=0 link=no multicast=yes port=MII speed=10Mbit/s
       resources: irq:41 ioport:3000(size=256) memory:c0404000-c0404fff memory:c0400000-c0403fff

Failure to receive DHCP response also occurs with Ubuntu 13.10, 14.04 on HP Folio 13 (which uses broadcom BCM4313).

Using the open source driver is not viable as the signal level is very weak.

Carlos Luna (caralu1974) wrote :
Download full text (13.1 KiB)

I have an Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II] (rev 7c) on this ethernet card I have the same problem, "ip configuration was unavailable" I have NetworkManager (version 0.9.4.0)

May 2 14:07:09 caralu74 modem-manager[1478]: <info> Loaded plugin MotoC
May 2 14:07:09 caralu74 NetworkManager[1631]: <info> NetworkManager (version 0.9.4.0) is starting...
May 2 14:07:09 caralu74 NetworkManager[1631]: <info> Read config file /etc/NetworkManager/NetworkManager.conf
May 2 14:07:09 caralu74 kernel: [ 25.795880] init: kdm main process (1607) killed by TERM signal
May 2 14:07:09 caralu74 modem-manager[1478]: <info> Loaded plugin Ericsson MBM
May 2 14:07:09 caralu74 modem-manager[1478]: <info> Loaded plugin AnyData
May 2 14:07:09 caralu74 modem-manager[1478]: <info> Loaded plugin Nokia
May 2 14:07:09 caralu74 modem-manager[1478]: <info> Loaded plugin Sierra
May 2 14:07:09 caralu74 modem-manager[1478]: <info> Loaded plugin Samsung
May 2 14:07:09 caralu74 cron[1624]: (CRON) INFO (Running @reboot jobs)
May 2 14:07:10 caralu74 modem-manager[1478]: <info> Loaded plugin Huawei
May 2 14:07:10 caralu74 kernel: [ 26.539712] kvm: Nested Virtualization enabled
May 2 14:07:10 caralu74 NetworkManager[1631]: <info> VPN: loaded org.freedesktop.NetworkManager.openvpn
May 2 14:07:10 caralu74 NetworkManager[1631]: <info> VPN: loaded org.freedesktop.NetworkManager.pptp
May 2 14:07:10 caralu74 dbus[1446]: [system] Activating service name='org.freedesktop.PolicyKit1' (using servicehelper)
May 2 14:07:11 caralu74 dbus[1446]: [system] Activating service name='org.freedesktop.ColorManager' (using servicehelper)
May 2 14:07:11 caralu74 polkitd[1952]: started daemon version 0.104 using authority implementation `local' version `0.104'
May 2 14:07:11 caralu74 dbus[1446]: [system] Successfully activated service 'org.freedesktop.PolicyKit1'
May 2 14:07:11 caralu74 NetworkManager[1631]: SCPlugin-Ifupdown: init!
May 2 14:07:11 caralu74 NetworkManager[1631]: SCPlugin-Ifupdown: update_system_hostname
May 2 14:07:11 caralu74 NetworkManager[1631]: SCPluginIfupdown: management mode: unmanaged
May 2 14:07:11 caralu74 NetworkManager[1631]: SCPlugin-Ifupdown: devices added (path: /sys/devices/pci0000:00/0000:00:12.0/net/eth0, iface: eth0)
May 2 14:07:11 caralu74 NetworkManager[1631]: SCPlugin-Ifupdown: device added (path: /sys/devices/pci0000:00/0000:00:12.0/net/eth0, iface: eth0): no ifupdown configuration found.
May 2 14:07:11 caralu74 NetworkManager[1631]: SCPlugin-Ifupdown: devices added (path: /sys/devices/virtual/net/lo, iface: lo)
May 2 14:07:11 caralu74 NetworkManager[1631]: SCPlugin-Ifupdown: device added (path: /sys/devices/virtual/net/lo, iface: lo): no ifupdown configuration found.
May 2 14:07:11 caralu74 NetworkManager[1631]: SCPlugin-Ifupdown: end _init.
May 2 14:07:11 caralu74 NetworkManager[1631]: <info> Loaded plugin ifupdown: (C) 2008 Canonical Ltd. To report bugs please use the NetworkManager mailing list.
May 2 14:07:11 caralu74 NetworkManager[1631]: <info> Loaded plugin keyfile: (c) 2007 - 2010 Red Hat, Inc. To report bugs please use the NetworkManager mailing list.
May 2 14:07:11 car...

Carlos Luna (caralu1974) wrote :
Download full text (6.2 KiB)

May 2 12:30:04 pcdebian systemd[1]: Started Network Manager Script Dispatcher Service.
May 2 12:30:06 pcdebian NetworkManager[637]: <info> Activation (eth0) starting connection 'Wired connection 1'
May 2 12:30:06 pcdebian NetworkManager[637]: <info> (eth0): device state change: disconnected -> prepare (reason 'none') [30 40 0]
May 2 12:30:06 pcdebian NetworkManager[637]: <info> NetworkManager state is now CONNECTING
May 2 12:30:06 pcdebian NetworkManager[637]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) scheduled...
May 2 12:30:06 pcdebian NetworkManager[637]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) started...
May 2 12:30:06 pcdebian NetworkManager[637]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) scheduled...
May 2 12:30:06 pcdebian NetworkManager[637]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) complete.
May 2 12:30:06 pcdebian NetworkManager[637]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) starting...
May 2 12:30:06 pcdebian NetworkManager[637]: <info> (eth0): device state change: prepare -> config (reason 'none') [40 50 0]
May 2 12:30:06 pcdebian NetworkManager[637]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) successful.
May 2 12:30:06 pcdebian NetworkManager[637]: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) scheduled.
May 2 12:30:06 pcdebian NetworkManager[637]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) complete.
May 2 12:30:06 pcdebian NetworkManager[637]: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) started...
May 2 12:30:06 pcdebian NetworkManager[637]: <info> (eth0): device state change: config -> ip-config (reason 'none') [50 70 0]
May 2 12:30:06 pcdebian NetworkManager[637]: <info> Activation (eth0) Beginning DHCPv4 transaction (timeout in 45 seconds)
May 2 12:30:06 pcdebian NetworkManager[637]: <info> dhclient started with pid 3935
May 2 12:30:06 pcdebian dhclient: Internet Systems Consortium DHCP Client 4.2.4
May 2 12:30:06 pcdebian dhclient: Copyright 2004-2012 Internet Systems Consortium.
May 2 12:30:06 pcdebian dhclient: All rights reserved.
May 2 12:30:06 pcdebian dhclient: For info, please visit https://www.isc.org/software/dhcp/
May 2 12:30:06 pcdebian dhclient:
May 2 12:30:06 pcdebian NetworkManager[637]: <info> Activation (eth0) Beginning DHCPv6 transaction (timeout in 45 seconds)
May 2 12:30:06 pcdebian NetworkManager[637]: <info> dhclient started with pid 3937
May 2 12:30:06 pcdebian dhclient: Internet Systems Consortium DHCP Client 4.2.4
May 2 12:30:06 pcdebian dhclient: Copyright 2004-2012 Internet Systems Consortium.
May 2 12:30:06 pcdebian dhclient: All rights reserved.
May 2 12:30:06 pcdebian dhclient: For info, please visit https://www.isc.org/software/dhcp/
May 2 12:30:06 pcdebian dhclient:
May 2 12:30:06 pcdebian NetworkManager[637]: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) complete.
May 2 12:30:06 pcdebian NetworkManager[637]: <info> (eth0): DHCPv4 state changed nbi -> preinit
May 2 12:30:06 pcdebian dhclient: Listening on LPF/eth0/00:19:db:a0:d6:13
May 2 12:30:06 pcdebian dhclient: Sending on LPF/eth0/00:19:db:a0:d6:13
May 2 12:30:06 ...

Read more...

Carlos Luna (caralu1974) wrote :
Download full text (10.1 KiB)

I`m running Ubuntu 12.04 updated till today (09 may 2014 ) and aswell Debian Testing with KDE updated and I have the same trouble the network is not working after a 30 o 45 minutes; I can not restart the network so if I wanna have the network running well I must restart the machine and the modem.
Syslog:
May 9 16:44:10 pcdebian kernel: [ 2071.820186] via-rhine 0000:00:12.0 eth0: Transmit timed out, status 1003, PHY status 786d, resetting...
May 9 16:44:20 pcdebian kernel: [ 2081.820185] via-rhine 0000:00:12.0 eth0: Transmit timed out, status 1003, PHY status 786d, resetting...
May 9 17:00:16 pcdebian kernel: [ 3037.820197] via-rhine 0000:00:12.0 eth0: Transmit timed out, status 1003, PHY status 786d, resetting...

Kern.log:
May 6 12:35:48 pcdebian kernel: [ 1383.808509] via-rhine 0000:00:12.0 eth0: Transmit timed out, status 1003, PHY status 786d, resetting...
May 6 13:26:54 pcdebian kernel: [ 0.822714] via_rhine: v1.10-LK1.5.1 2010-10-09 Written by Donald Becker
May 6 13:26:54 pcdebian kernel: [ 0.823126] via-rhine 0000:00:12.0 eth0: VIA Rhine II at 0x1f200, 00:19:db:a0:d6:13, IRQ 23
May 6 13:26:54 pcdebian kernel: [ 0.823905] via-rhine 0000:00:12.0 eth0: MII PHY found at address 1, status 0x786d advertising 01e1 Link 45e1
May 6 13:37:07 pcdebian kernel: [ 625.820368] via-rhine 0000:00:12.0 eth0: Transmit timed out, status 1003, PHY status 786d, resetting...
May 6 13:37:17 pcdebian kernel: [ 635.820197] via-rhine 0000:00:12.0 eth0: Transmit timed out, status 1003, PHY status 786d, resetting...

Ubuntu kern.log
May 5 19:28:54 caralu74 kernel: [ 451.136479] device eth0 left promiscuous mode
May 5 19:29:01 caralu74 kernel: [ 458.572040] device eth0 entered promiscuous mode
May 5 19:36:50 caralu74 kernel: [ 926.820645] via-rhine 0000:00:12.0: eth0: Transmit timed out, status 1003, PHY status 786d, resetting...
May 5 19:36:50 caralu74 kernel: [ 926.821393] via-rhine 0000:00:12.0: eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
May 5 19:36:54 caralu74 kernel: [ 930.820180] via-rhine 0000:00:12.0: eth0: Transmit timed out, status 1003, PHY status 786d, resetting...
May 9 16:00:02 caralu74 kernel: [ 5408.820181] via-rhine 0000:00:12.0: eth0: Transmit timed out, status 1003, PHY status 786d, resetting...

##########################
And this could be useful:
May 6 16:13:53 caralu74 dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 7
May 6 16:13:58 caralu74 NetworkManager[1568]: <warn> (eth0): DHCPv4 request timed out.
May 6 16:13:58 caralu74 NetworkManager[1568]: <info> (eth0): canceled DHCP transaction, DHCP client pid 2876
May 6 16:13:58 caralu74 NetworkManager[1568]: <info> Activation (eth0) Stage 4 of 5 (IPv4 Configure Timeout) scheduled...
May 6 16:13:58 caralu74 NetworkManager[1568]: <info> Activation (eth0) Stage 4 of 5 (IPv4 Configure Timeout) started...
May 6 16:13:58 caralu74 NetworkManager[1568]: <info> (eth0): device state change: ip-config -> failed (reason 'ip-config-unavailable') [70 120 5]
May 6 16:13:58 caralu74 NetworkManager[1568]: <warn> Activation (eth0) failed.
May 6 16:13:58 caralu74 NetworkManager[1568]: <info> Activation (eth0) Stage 4 of 5 (IPv4 Configure Timeout) complete.
May 6 16:13:58 caralu74 NetworkMa...

Chris Chen (sibeliusop47) wrote :

Amazing that after one year, this bug has not been fixed. I just had this problem affect me. I have two laptops, both of which worked fine for a very long time, over two years. Then I upgraded my wireless router, and suddenly DHCP stopped working, it would timeout. I read the instructions here about disabling the Broadcam driver and forcing the use of the brcmsmac driver instead, and both laptops work again. Seems like the wl driver should not be the default driver for ubuntu, or else it should be easier to switch between drivers.

alFReD NSH (faridn-soad) wrote :

I'm confirming this is still a problem.

Havard Bjastad, could you please provide the missing information following https://help.ubuntu.com/community/WifiDocs/Driver/bcm43xx ?

Changed in bcmwl (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for bcmwl (Ubuntu) because there has been no activity for 60 days.]

Changed in bcmwl (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions